//! Not a service module.
//!
//! It might seem odd to have a no-service in a service library, which is true.
//! But it simplifies to service aplication code to be able to treat all cases
//! (roughly) equally.


/// A no-op service reporter, used when no service subsystem is being used, or
/// that subsystem does not require/support any incoming notifications.
pub struct ServiceReporter {}

impl super::StateReporter for ServiceReporter {
  fn starting(&self, _checkpoint: u32, _status: &str) {}

  fn started(&self) {}

  fn stopping(&self, _checkpoint: u32, _status: &str) {}

  fn stopped(&self) {}
}

// vim: set ft=rust et sw=2 ts=2 sts=2 cinoptions=2 tw=79 :
